-- Initialization routines. These fuctions (or some of them) get called on
-- a new, or continued game. Right now, there is only one of these functions,
-- init_shops(). If you wish to add a function that gets called every map
-- load, use global.lua

function init_shops()
-- create_shop(name, shop_index, inflation)         
-- add_item(shop_index, item, quantity, replenish_time) 
                                                          

   shop_create("Alner's Armour", 0, 0)
   shop_add_item(0, I_SHIELD1, 6, 10)
   shop_add_item(0, I_CAP1, 4, 10)
   shop_add_item(0, I_ROBE1, 3, 10)
   shop_add_item(0, I_ARMOR1, 3, 10)
   shop_add_item(0, I_GLOVES1, 4, 10, 5)

   shop_create("Shielt's Weaponry", 1, 0)
   shop_add_item(1, I_SWORD1, 5, 10)
   shop_add_item(1, I_MACE1, 4, 10)
   shop_add_item(1, I_KNIFE1, 9, 19)
   shop_add_item(1, I_STAFF1, 2, 20, -2)

   shop_create("Blaknard's Miscellany", 2, 0)
   shop_add_item(2, I_MHERB, 50, 5)
   shop_add_item(2, I_NLEAF, 20, 10)
   shop_add_item(2, I_SALVE, 5, 15)
   shop_add_item(2, I_B_SHIELD, 2, 25)

   shop_create("Little Magic Shop", 3, 0)
   shop_add_item(3, I_B_CURE1, 1, 0)

   shop_create("Ignar's Item Shop", 4, 1)
   shop_add_item(4, I_MHERB, 60, 10)
   shop_add_item(4, I_NLEAF, 20, 10)
   shop_add_item(4, I_SALVE, 20, 10)
   shop_add_item(4, I_PCURING, 5, 30)
   shop_add_item(4, I_B_SLEEP, 1, 30)
   shop_add_item(4, I_B_SILENCE, 1, 30, 1)

   shop_create("Nelgar's Armory", 5, 0)
   shop_add_item(5, I_SPEAR1, 3, 20)
   shop_add_item(5, I_MACE2, 3, 20)
   shop_add_item(5, I_ROD1, 2, 30)
   shop_add_item(5, I_HELM1, 4, 15)
   shop_add_item(5, I_ROBE2, 2, 30)
   shop_add_item(5, I_ARMOR2, 2, 20)
   shop_add_item(5, I_SUIT2, 2, 20)
   shop_add_item(5, I_BAND1, 4, 10, 1)

   shop_create("Tyrell's Blacksmith", 6, -100)
   shop_add_item(6, I_AXE1, 2, 20)
   shop_add_item(6, I_SWORD2, 2, 30)
   shop_add_item(6, I_ROD2, 1, 30)
   shop_add_item(6, I_SHIELD2, 5, 15)

   shop_create("Brand's Fine Armours", 7, 0)
   shop_add_item(7, I_SHIELD2, 5, 15)
   shop_add_item(7, I_HELM2, 3, 20)
   shop_add_item(7, I_ARMOR3, 3, 20)
   shop_add_item(7, I_GAUNTLET1, 4, 10)

   shop_create("The Library of Andra", 8, 0)
   shop_add_item(8, I_B_CURE1, 5, 20)
   shop_add_item(8, I_B_CURE2, 2, 30)
   shop_add_item(8, I_B_RESTORE, 3, 30)
   shop_add_item(8, I_B_SCORCH, 4, 20)
   shop_add_item(8, I_B_DRAIN, 3, 30)

   shop_create("Dreskan Item Shop", 9, 0)
   shop_add_item(9, I_MHERB, 40, 10)
   shop_add_item(9, I_OSEED, 10, 20)
   shop_add_item(9, I_NLEAF, 30, 10)
   shop_add_item(9, I_NPOULTICE, 20, 10)
   shop_add_item(9, I_SALVE, 15, 10)
   shop_add_item(9, I_RRUNE, 4, 30)
   shop_add_item(9, I_ERUNE, 3, 30)

   shop_create("Golerak's Item Shop", 10, 0)
   shop_add_item(10, I_SALVE, 30, 10)
   shop_add_item(10, I_LTONIC, 5, 20)
   shop_add_item(10, I_EDAENRA, 20, 15)
   shop_add_item(10, I_SSTONE, 5, 20)
   shop_add_item(10, I_B_HOLD, 4, 20)
   shop_add_item(10, I_B_SHELL, 1, 30)
   shop_add_item(10, I_B_HASTEN, 2, 30)
   shop_add_item(10, I_OSEED, 10, 20)
   shop_add_item(10, I_B_SLOW, 2, 20)

   shop_create("Resdin's Weapons", 11, 0)
   shop_add_item(11, I_HAMMER1, 2, 30)
   shop_add_item(11, I_SWORD3, 2, 20)
   shop_add_item(11, I_SPEAR1, 2, 20)

   shop_create("Nester's Fine Armour", 12, 0)
   shop_add_item(12, I_CAP2, 3, 30)
   shop_add_item(12, I_CAP3, 3, 30)
   shop_add_item(12, I_ROBE3, 2, 30)
   shop_add_item(12, I_ARMOR4, 5, 20)
   shop_add_item(12, I_SUIT3, 3, 30)
   shop_add_item(12, I_BAND2, 12, 10)

   shop_create("Vezdin's Arms and Armours", 13, 0)
   shop_add_item(13, I_AXE2, 2, 30)
   shop_add_item(13, I_SHIELD3, 2, 30)
   shop_add_item(13, I_ARMOR5, 2, 30)
   shop_add_item(13, I_SUIT3, 2, 30)

   shop_create("Vezdin's Wonderous Items", 14, 0)
   shop_add_item(14, I_PCURING, 20, 20)
   shop_add_item(14, I_EDROPS, 10, 20)
   shop_add_item(14, I_SSTONE, 30, 10)
   shop_add_item(14, I_POWERBRACE, 1, 0)
   shop_add_item(14, I_B_REPULSE, 1, 30)
   shop_add_item(14, I_B_VISION, 2, 20)
   shop_add_item(14, I_B_VIRUS, 2, 20)
   shop_add_item(14, I_B_HOLYMIGHT, 3, 20)

   shop_create("Black Magic", 15, -2)
   shop_add_item(15, I_B_LIGHTNING, 2, 30)
   shop_add_item(15, I_B_DIFFUSE, 1, 10)
   shop_add_item(15, I_B_FROST, 3, 10)
   shop_add_item(15, I_B_CONFUSE, 2, 20, -3)

   shop_create("White Magic", 16, 3)
   shop_add_item(16, I_B_CURE3, 2, 30)
   shop_add_item(16, I_B_THROUGH, 1, 30)
   shop_add_item(16, I_B_SHIELDALL, 1, 20)
   shop_add_item(16, I_B_BLESS, 4, 10)
   shop_add_item(16, I_B_FADE, 2, 20, 2)

   shop_create("Ajantara Items", 17, 0)
   shop_add_item(17, I_RRUNE, 9, 20)
   shop_add_item(17, I_ERUNE, 6, 30)
   shop_add_item(17, I_FRUNE, 6, 30)
   shop_add_item(17, I_WRUNE, 6, 30)
   shop_add_item(17, I_IRUNE, 6, 30)
   shop_add_item(17, I_PCURING, 30, 10)
   shop_add_item(17, I_LTONIC, 20, 10)

   shop_create("Ajantara Armor", 18, 0)
   shop_add_item(18, I_HELM3, 4, 20)
   shop_add_item(18, I_ROBE3, 4, 20)
   shop_add_item(18, I_ARMOR5, 4, 20)
   shop_add_item(18, I_SUIT3, 4, 20)
   shop_add_item(18, I_BAND2, 10, 10)

   shop_create("Alderic's Weapons", 19, 0)
   shop_add_item(19, I_HAMMER2, 2, 20)
   shop_add_item(19, I_ROD4, 1, 30)
   shop_add_item(19, I_SPEAR2, 2, 10)
   shop_add_item(19, I_STAFF3, 1, 30)

   shop_create("Ezbaran's Items", 20, 0)
   shop_add_item(20, I_WATERRING, 1, 0)
   shop_add_item(20, I_SSTONE, 20, 10)
   shop_add_item(20, I_RUNECLOAK, 1, 0)
   shop_add_item(20, I_SPIRITCAPE, 1, 0)

   shop_create("Agrasian's Armor", 21, 0)
   shop_add_item(21, I_SHIELD4, 1, 20)
   shop_add_item(21, I_HELM3, 4, 30)
   shop_add_item(21, I_ARMOR5, 5, 10)
   shop_add_item(21, I_GAUNTLET3, 1, 30)

   shop_create("The Colosseum Shop", 22, 0)
   shop_add_item(22, I_EDROPS, 20, 20)
   shop_add_item(22, I_PCURING, 30, 10)
   shop_add_item(22, I_EDAENRA, 30, 10)
   shop_add_item(22, I_B_WALL, 1, 30)
   shop_add_item(22, I_B_FIREBLAST, 2, 30)
   shop_add_item(22, I_B_STONE, 1, 30)
   shop_add_item(22, I_B_RECOVERY, 3, 10)
   shop_add_item(22, I_B_REGENERATE, 2, 20)
   shop_add_item(22, I_B_NAUSEA, 1, 20)

   shop_create("Rufus's Cabin", 23, 0)
   shop_add_item(23, I_DYNAMITE, 20, 20)

   shop_create("Bentley's Armour", 24, 0)
   shop_add_item(24, I_HAMMER3, 5, 12)
   shop_add_item(24, I_ROD5, 5, 7)
   shop_add_item(24, I_SPEAR3, 5, 13)
   shop_add_item(24, I_STAFF4, 5, 4)
   return
end
